<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.9.1"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>fwConfigurationDB: fwConfigurationDB.ctl File Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="resize.js"></script>
<script type="text/javascript" src="navtreedata.js"></script>
<script type="text/javascript" src="navtree.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">fwConfigurationDB
   &#160;<span id="projectnumber">8.4.3</span>
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.9.1 -->
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="pages.html"><span>Related&#160;Pages</span></a></li>
      <li><a href="modules.html"><span>Modules</span></a></li>
      <li><a href="annotated.html"><span>Classes</span></a></li>
      <li class="current"><a href="files.html"><span>Files</span></a></li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="files.html"><span>File&#160;List</span></a></li>
      <li><a href="globals.html"><span>File&#160;Members</span></a></li>
    </ul>
  </div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(document).ready(function(){initNavTree('fwConfigurationDB_8ctl.html',''); initResizable(); });
/* @license-end */
</script>
<div id="doc-content">
<div class="header">
  <div class="summary">
<a href="#var-members">Variables</a>  </div>
  <div class="headertitle">
<div class="title">fwConfigurationDB.ctl File Reference</div>  </div>
</div><!--header-->
<div class="contents">
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="var-members"></a>
Variables</h2></td></tr>
<tr class="memitem:ga5d118cf88ccc58f19c3b794f7202cfb8"><td class="memItemLeft" align="right" valign="top">const float&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__Constants.html#ga5d118cf88ccc58f19c3b794f7202cfb8">fwConfigurationDB_version</a> = 5.0</td></tr>
<tr class="separator:ga5d118cf88ccc58f19c3b794f7202cfb8"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gae8b636716b69f47fae54aeffcb09e976"><td class="memItemLeft" align="right" valign="top">const float&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__Constants.html#gae8b636716b69f47fae54aeffcb09e976">fwConfigurationDB_minimalDBSchemaVersion</a> =3.06</td></tr>
<tr class="separator:gae8b636716b69f47fae54aeffcb09e976"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga676118bae9020aa17bf8feed33f86ec3"><td class="memItemLeft" align="right" valign="top">global string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__GlobalVariables.html#ga676118bae9020aa17bf8feed33f86ec3">fwConfigurationDB_currentSetupName</a> =&quot;&quot;</td></tr>
<tr class="separator:ga676118bae9020aa17bf8feed33f86ec3"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gaa0cb6d1e9092075e0effa3c1bfb0b7db"><td class="memItemLeft" align="right" valign="top">global bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__GlobalVariables.html#gaa0cb6d1e9092075e0effa3c1bfb0b7db">fwConfigurationDB_initialized</a> =FALSE</td></tr>
<tr class="separator:gaa0cb6d1e9092075e0effa3c1bfb0b7db"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ae22458ce57b9540e593ac254b46956d7"><td class="memItemLeft" align="right" valign="top">global bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="fwConfigurationDB_8ctl.html#ae22458ce57b9540e593ac254b46956d7">fwConfigurationDB_allowResolveRemote</a> = false</td></tr>
<tr class="separator:ae22458ce57b9540e593ac254b46956d7"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga202bab768fdd34fa77d6f8c80384dafa"><td class="memItemLeft" align="right" valign="top">global bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__GlobalVariables.html#ga202bab768fdd34fa77d6f8c80384dafa">fwConfigurationDB_DBConfigured</a> =FALSE</td></tr>
<tr class="separator:ga202bab768fdd34fa77d6f8c80384dafa"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gaa5e66c4b6898765e57f8a19192bc51a5"><td class="memItemLeft" align="right" valign="top">global string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__GlobalVariables.html#gaa5e66c4b6898765e57f8a19192bc51a5">GfwConfigurationDB_currentRecipeType</a> =&quot;&quot;</td></tr>
<tr class="separator:gaa5e66c4b6898765e57f8a19192bc51a5"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga37365fd45a062f3d239acb7d24c1f4ea"><td class="memItemLeft" align="right" valign="top">global bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__GlobalVariables.html#ga37365fd45a062f3d239acb7d24c1f4ea">g_fwConfigurationDB_DBConnectionOpen</a> =FALSE</td></tr>
<tr class="separator:ga37365fd45a062f3d239acb7d24c1f4ea"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga28317180a9845b4341429bda0ee03418"><td class="memItemLeft" align="right" valign="top">global bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__GlobalVariables.html#ga28317180a9845b4341429bda0ee03418">fwConfigurationDB_hasDBConnectivity</a> =FALSE</td></tr>
<tr class="separator:ga28317180a9845b4341429bda0ee03418"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga0cd06f5e1ec5329dc08ec91efc01a044"><td class="memItemLeft" align="right" valign="top">global dbConnection&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__GlobalVariables.html#ga0cd06f5e1ec5329dc08ec91efc01a044">g_fwConfigurationDB_DBConnection</a></td></tr>
<tr class="separator:ga0cd06f5e1ec5329dc08ec91efc01a044"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a4c4ce3b827f09954cc7de02c328b4504"><td class="memItemLeft" align="right" valign="top">global string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="fwConfigurationDB_8ctl.html#a4c4ce3b827f09954cc7de02c328b4504">fwConfigurationDB_SchemaPrivs</a></td></tr>
<tr class="separator:a4c4ce3b827f09954cc7de02c328b4504"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a2245ffcee0c654981b15f6e237b81beb"><td class="memItemLeft" align="right" valign="top">global int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="fwConfigurationDB_8ctl.html#a2245ffcee0c654981b15f6e237b81beb">g_fwConfigurationDB_DebugSQL</a> =0</td></tr>
<tr class="separator:a2245ffcee0c654981b15f6e237b81beb"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a0889e07ef1c77588c4223fe073243e04"><td class="memItemLeft" align="right" valign="top">global int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="fwConfigurationDB_8ctl.html#a0889e07ef1c77588c4223fe073243e04">g_fwConfigurationDB_Debug</a> =0</td></tr>
<tr class="separator:a0889e07ef1c77588c4223fe073243e04"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:af7c01eb3afd0bb7255bcf5cb36f6cd0e"><td class="memItemLeft" align="right" valign="top">global mapping&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="fwConfigurationDB_8ctl.html#af7c01eb3afd0bb7255bcf5cb36f6cd0e">g_fwConfigurationDB_stats</a></td></tr>
<tr class="separator:af7c01eb3afd0bb7255bcf5cb36f6cd0e"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader">Error Codes in general package</h2></td></tr>
<tr><td class="ititle" colspan="2"><p><a class="anchor" id="amgrp39ad987967154f3ae17bf7520fad8f9e"></a>See also <a class="el" href="group__ErrorCodes.html">Error Codes overview</a> module </p>
</td></tr>
<tr class="memitem:ga89b201b02dda2e01ead7670b0bc6aa36"><td class="memItemLeft" align="right" valign="top">const int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__ErrorCodes.html#ga89b201b02dda2e01ead7670b0bc6aa36">fwConfigurationDB_ERROR_GENERAL</a> =-1</td></tr>
<tr class="separator:ga89b201b02dda2e01ead7670b0bc6aa36"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga127b56d4f021fe48d6812d3cec9cdf75"><td class="memItemLeft" align="right" valign="top">const int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__ErrorCodes.html#ga127b56d4f021fe48d6812d3cec9cdf75">fwConfigurationDB_ERROR_DPTNotExist</a> =-2</td></tr>
<tr class="separator:ga127b56d4f021fe48d6812d3cec9cdf75"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gabec9c96c3f0a6303c4611f3b2fe379d0"><td class="memItemLeft" align="right" valign="top">const int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__ErrorCodes.html#gabec9c96c3f0a6303c4611f3b2fe379d0">fwConfigurationDB_ERROR_OperationAborted</a> =-3</td></tr>
<tr class="separator:gabec9c96c3f0a6303c4611f3b2fe379d0"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga08439e37e4ca7841e0943a2c135d1b97"><td class="memItemLeft" align="right" valign="top">const int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__ErrorCodes.html#ga08439e37e4ca7841e0943a2c135d1b97">fwConfigurationDB_ERROR_SeparatorCharInStringList</a> =-4</td></tr>
<tr class="separator:ga08439e37e4ca7841e0943a2c135d1b97"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gabfe9731975c38c37302fbfe101a2be58"><td class="memItemLeft" align="right" valign="top">synchronized void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__ErrorCodes.html#gabfe9731975c38c37302fbfe101a2be58">fwConfigurationDB_checkInit</a> (dyn_string &amp;exceptionInfo)</td></tr>
<tr class="separator:gabfe9731975c38c37302fbfe101a2be58"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga43d05490668849e2a99e320f93ed38cf"><td class="memItemLeft" align="right" valign="top">synchronized void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__ErrorCodes.html#ga43d05490668849e2a99e320f93ed38cf">fwConfigurationDB_initialize</a> (string setupName, dyn_string &amp;exceptionInfo)</td></tr>
<tr class="separator:ga43d05490668849e2a99e320f93ed38cf"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gaba666d962450549e3c2c6abb39afbb15"><td class="memItemLeft" align="right" valign="top">
void&#160;</td><td class="memItemRight" valign="bottom"><b>fwConfigurationDB_getSetups</b> (dyn_string &amp;setupNames, dyn_string &amp;setupDPs, string &amp;defaultSetupName, string &amp;defaultSetupDP, dyn_string &amp;exceptionInfo)</td></tr>
<tr class="separator:gaba666d962450549e3c2c6abb39afbb15"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gacf20f1741bdc508d489a2d2cabca68a3"><td class="memItemLeft" align="right" valign="top">
void&#160;</td><td class="memItemRight" valign="bottom"><b>_fwConfigurationDB_printLibraryFileVersions</b> ()</td></tr>
<tr class="separator:gacf20f1741bdc508d489a2d2cabca68a3"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<div class="textblock"><p>This package contains general functions of the Configuration Database tool</p>
<p>(c) Copyright CERN, All Rights Reserved </p>
</div><h2 class="groupheader">Variable Documentation</h2>
<a id="ae22458ce57b9540e593ac254b46956d7"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ae22458ce57b9540e593ac254b46956d7">&#9670;&nbsp;</a></span>fwConfigurationDB_allowResolveRemote</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">global bool fwConfigurationDB_allowResolveRemote = false</td>
        </tr>
      </table>
</div><div class="memdoc">
<p>Determines if it should be tried to resolve aliases on remote systems.</p>
<p>Note that by default it is set to false, yet it is reinitialized in checkInit(), and if unRecipe component is installed, then it is reset to true; </p>

</div>
</div>
<a id="a4c4ce3b827f09954cc7de02c328b4504"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a4c4ce3b827f09954cc7de02c328b4504">&#9670;&nbsp;</a></span>fwConfigurationDB_SchemaPrivs</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">global string fwConfigurationDB_SchemaPrivs</td>
        </tr>
      </table>
</div><div class="memdoc">
<p>What privileges on the schema do one has: </p><ul>
<li>"OWNER" - schema owner </li>
<li>"WRITER" - writer rights </li>
<li>"READER" - reader rights </li>
<li>"" (empt) - no ConfDB rights on the current schema</li>
</ul>
<p>Note! The privileges need to be granted through the DB ROLE that is created together with the schema! </p>

</div>
</div>
<a id="a2245ffcee0c654981b15f6e237b81beb"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a2245ffcee0c654981b15f6e237b81beb">&#9670;&nbsp;</a></span>g_fwConfigurationDB_DebugSQL</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">global int g_fwConfigurationDB_DebugSQL =0</td>
        </tr>
      </table>
</div><div class="memdoc">
<p>Debug level for SQL statements (bitmask)</p>
<p>The actual debug level is the sum of the following: 1 - print SQL selects 2 - print SQL statements 4 - print num of results in SQL select (summary info) 8 - print the complete results of SQL select </p>

</div>
</div>
<a id="a0889e07ef1c77588c4223fe073243e04"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a0889e07ef1c77588c4223fe073243e04">&#9670;&nbsp;</a></span>g_fwConfigurationDB_Debug</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">global int g_fwConfigurationDB_Debug =0</td>
        </tr>
      </table>
</div><div class="memdoc">
<p>Debug level (bitmask)</p>
<p>The actual debug level is the sum of the following: 1 - print function name on entry 2 - print timing information on exit 4 - print info on entry to functional parts of routines 8 - massive debug info </p>

</div>
</div>
<a id="af7c01eb3afd0bb7255bcf5cb36f6cd0e"></a>
<h2 class="memtitle"><span class="permalink"><a href="#af7c01eb3afd0bb7255bcf5cb36f6cd0e">&#9670;&nbsp;</a></span>g_fwConfigurationDB_stats</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">global mapping g_fwConfigurationDB_stats</td>
        </tr>
      </table>
</div><div class="memdoc">
<p>Statistics-gathering variable </p>

</div>
</div>
</div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="fwConfigurationDB_8ctl.html">fwConfigurationDB.ctl</a></li>
    <li class="footer">Generated by <a href="https://www.doxygen.org/index.html"><img class="footer" src="doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.1 </li>
  </ul>
</div>
</body>
</html>
